%define uname   FAudio

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           faudio
Version:        20.06
Release:        %mkrel 1
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          System/Libraries
License:        zlib
URL:            https://fna-xna.github.io
Source0:        https://github.com/FNA-XNA/FAudio/archive/%{version}/%{uname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)

%description
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.

%package -n %{libname}
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          System/Libraries

%description -n %{libname}
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.

%package -n %{devname}
Summary:        Development files for the FAudio library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Headers and shared library for FAudio.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README
%license LICENSE
%{_libdir}/lib%{uname}.so.%{major}
%{_libdir}/lib%{uname}.so.%{major}.%{version}

%files -n %{devname}
%{_includedir}/F*.h
%{_libdir}/cmake/%{uname}/
%{_libdir}/lib%{uname}.so


%changelog
* Tue Jun 02 2020 daviddavid <daviddavid> 20.06-1.mga8
+ Revision: 1589624
- new version: 20.06

* Sat Feb 15 2020 daviddavid <daviddavid> 19.04-2.mga8
+ Revision: 1525909
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 akien <akien> 19.04-1.mga7
+ Revision: 1393229
- imported package faudio

